Bug 446398 - (dexter) new radeon driver shuts down monitor
new radeon driver shuts down monitor
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-14 09:50 EDT by Sandu Adrian
Modified: 2009-07-14 13:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:29:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The log I get with the new Xorg and radeon server ( not working ! Monitor shuts down. ) (37.72 KB, text/plain)
2008-05-19 06:21 EDT, Sandu Adrian
no flags Details
log from the working Xorg and radeon driver I use from fc7 ( GDM loads and works ok at 1280x1024@75 ) (61.07 KB, text/plain)
2008-05-19 06:23 EDT, Sandu Adrian
no flags Details
xorg.conf file I use for both working and non-working versions. (1.24 KB, text/plain)
2008-05-19 06:24 EDT, Sandu Adrian
no flags Details

  None (edit)
Description Sandu Adrian 2008-05-14 09:50:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9b5) Gecko/2008042723 Fedora/3.0-0.55.beta5 Firefox/3.0b5

Description of problem:
I have a toshiba satellite pro a60 which doesn't have the lcd monitor. I broke it. So it's kinda' more of a desktop now. It has a ati mobility radeon 7000 igp with 64 Mb ram. So I bought a new lcd monitor ( horizon 9005L; refresh rates H: 30-80; V: 55-75; Max resolution 1280x1024) which is connected to the external vga port ofcourse. My problem started when fedora 8 ( don't know exactly which radeon update version ) stopped starting the monitor ! so I had to start using vesa or the older version. I'm doing the same thing now, I'm using the initial driver in f8/f7 ( both work ok ). Vesa works just as great at 1024x768 but I want the radeon driver, the new one. When X should start the monitor just shuts down ! And it's not a refresh issue because I've put in the values in the conf file and it does the same thing and the monitor doesn't yell "out of range" thingy. F7 radeon driver works with xorg.conf but f9 radeon driver doesn't work with the same xorg file ! In both cases ( f7/f9 vesa works with the same file ). So I'm kinda lost. I want this computer to work because it has some horse power and I don't want to just throw it away .. 

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.8.0-14

How reproducible:
Always


Steps to Reproduce:
1. use f9 default driver with radeon driver ( doesn't work )
2. use rpm of old xorg+ati driver in f7 or f8 initial ( works )
3. switch back ( doesn't work )

Actual Results:
exactly what I expected .. the monitor just shuts down and enters suspend mode .. 

Expected Results:
monitor to show gdm or kdm or something so I can actually use it !

Additional info:
Laptop: Toshiba satellite pro a60 ( doesn't have a lcd connected anymore )
Monitor: Horizon 9005L refresh rates: H 30-80; V: 55-75
Comment 1 Dave Airlie 2008-05-18 20:24:27 EDT
can you attach a log file from a working and non-working xorg?

/var/log/Xorg.0.log

Comment 2 Sandu Adrian 2008-05-19 06:21:52 EDT
Created attachment 305919 [details]
The log I get with the new Xorg and radeon server ( not working !  Monitor shuts down. )

To use the new Xorg and radeon drivers I lunch the console and do a yum update
so I get the new drivers and Xorg server.
Comment 3 Sandu Adrian 2008-05-19 06:23:25 EDT
Created attachment 305920 [details]
log from the working Xorg and radeon driver I use from fc7 ( GDM loads and works ok at 1280x1024@75 )

I started getting some rpms from fc 7 and their dependencies so when I want to
use the old driver I just go to the dir I saved them and do rpm -iUvh --force
--nodeps *.rpm ( I only have the files I need for the radeon driver there ).
Comment 4 Sandu Adrian 2008-05-19 06:24:14 EDT
Created attachment 305921 [details]
xorg.conf file I use for both working and non-working versions.

xorg.conf file remains the same on both xorg versions.
Comment 5 Bug Zapper 2009-06-09 20:48:43 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 13:29:42 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.